/*
 * Created on 2004. 7. 4.
 */
package net.digitie.hibernate.board;

import java.sql.Timestamp;

/**
 * @author digitie
 * @hibernate.class
 * 		dynamic-update = "true"
 * 		table = "hawky_board_post"
 */
public class BoardPost {
    private long postId;
    private int memberId;
    private long catId;
    private Timestamp regDate;
    private Timestamp modDate;
    private short modNumber;
    private String title;
    private String content;
    private String ipAddress;
    private String nickName;
    private String password;
    private int hit;
    private int comments;
    private boolean secret;
    private short html;
    private long postTop;
    private int postLevel;
    private short postDepth;
    /**
     * @return Returns the catId.
     * @hibernate.many-to-one 
     * 		class = "BoardCategory"
     * 		column = "cat_id"
     * 		not-null = "true"
     */
    public final long getCatId() {
        return catId;
    }
    /**
     * @param catId The catId to set.
     */
    public final void setCatId(long catId) {
        this.catId = catId;
    }
    /**
     * @return Returns the comments.
     * @hibernate.property 
     * 		column = "comments"
     * 		not-null = "true"
     */
    public final int getComments() {
        return comments;
    }
    /**
     * @param comments The comments to set.
     */
    public final void setComments(int comments) {
        this.comments = comments;
    }
    /**
     * @return Returns the content.
     * @hibernate.property 
     * 		column = "content"
     * 		not-null = "true"
     */
    public final String getContent() {
        return content;
    }
    /**
     * @param content The content to set.
     */
    public final void setContent(String content) {
        this.content = content;
    }
    /**
     * @return Returns the hit.
     * @hibernate.property 
     * 		column = "hit"
     * 		not-null = "true"
     */
    public final int getHit() {
        return hit;
    }
    /**
     * @param hit The hit to set.
     */
    public final void setHit(int hit) {
        this.hit = hit;
    }
    /**
     * @return Returns the html.
     * @hibernate.property 
     * 		column = "html"
     * 		not-null = "true"
     */
    public final short getHtml() {
        return html;
    }
    /**
     * @param html The html to set.
     */
    public final void setHtml(short html) {
        this.html = html;
    }
    /**
     * @return Returns the ipAddress.
     * @hibernate.property 
     * 		column = "ip_address"
     * 		not-null = "true"
     */
    public final String getIpAddress() {
        return ipAddress;
    }
    /**
     * @param ipAddress The ipAddress to set.
     */
    public final void setIpAddress(String ipAddress) {
        this.ipAddress = ipAddress;
    }
    /**
     * @return Returns the memberId.
     * @hibernate.many-to-one 
     * 		class = "Member"
     * 		column = "member_id"
     * 		not-null = "true"
     */
    public final int getMemberId() {
        return memberId;
    }
    /**
     * @param memberId The memberId to set.
     */
    public final void setMemberId(int memberId) {
        this.memberId = memberId;
    }
    /**
     * @return Returns the modDate.
     * @hibernate.property 
     * 		column = "mod_date"
     * 		not-null = "true"
     */
    public final Timestamp getModDate() {
        return modDate;
    }
    /**
     * @param modDate The modDate to set.
     */
    public final void setModDate(Timestamp modDate) {
        this.modDate = modDate;
    }
    /**
     * @return Returns the modNumber.
     * @hibernate.property 
     * 		column = "mod_num"
     * 		not-null = "true"
     */
    public final short getModNumber() {
        return modNumber;
    }
    /**
     * @param modNumber The modNumber to set.
     */
    public final void setModNumber(short modNumber) {
        this.modNumber = modNumber;
    }
    /**
     * @return Returns the nickName.
     * @hibernate.property 
     * 		column = "nick_name"
     * 		not-null = "true"
     */
    public final String getNickName() {
        return nickName;
    }
    /**
     * @param nickName The nickName to set.
     */
    public final void setNickName(String nickName) {
        this.nickName = nickName;
    }
    /**
     * @return Returns the password.
     * @hibernate.property 
     * 		column = "password"
     * 		not-null = "true"
     */
    public final String getPassword() {
        return password;
    }
    /**
     * @param password The password to set.
     */
    public final void setPassword(String password) {
        this.password = password;
    }
    /**
     * @return Returns the postDepth.
     * @hibernate.property 
     * 		column = "post_depth"
     * 		not-null = "true"
     */
    public final short getPostDepth() {
        return postDepth;
    }
    /**
     * @param postDepth The postDepth to set.
     */
    public final void setPostDepth(short postDepth) {
        this.postDepth = postDepth;
    }
    /**
     * @return Returns the postId.
     * @hibernate.id
     * 		column = "post_id"
     * 		generator-class = "native"
     */
    public final long getPostId() {
        return postId;
    }
    /**
     * @param postId The postId to set.
     */
    public final void setPostId(long postId) {
        this.postId = postId;
    }
    /**
     * @return Returns the postLevel.
     * @hibernate.property 
     * 		column = "post_level"
     * 		not-null = "true"
     */
    public final int getPostLevel() {
        return postLevel;
    }
    /**
     * @param postLevel The postLevel to set.
     */
    public final void setPostLevel(int postLevel) {
        this.postLevel = postLevel;
    }
    /**
     * @return Returns the postTop.
     * @hibernate.property 
     * 		column = "post_top"
     * 		not-null = "true"
     */
    public final long getPostTop() {
        return postTop;
    }
    /**
     * @param postTop The postTop to set.
     */
    public final void setPostTop(long postTop) {
        this.postTop = postTop;
    }
    /**
     * @return Returns the regDate.
     * @hibernate.property 
     * 		column = "reg_date"
     * 		not-null = "true"
     */
    public final Timestamp getRegDate() {
        return regDate;
    }
    /**
     * @param regDate The regDate to set.
     */
    public final void setRegDate(Timestamp regDate) {
        this.regDate = regDate;
    }
    /**
     * @return Returns the secret.
     * @hibernate.property 
     * 		column = "secret"
     * 		not-null = "true"
     */
    public final boolean isSecret() {
        return secret;
    }
    /**
     * @param secret The secret to set.
     */
    public final void setSecret(boolean secret) {
        this.secret = secret;
    }
    /**
     * @return Returns the title.
     * @hibernate.property 
     * 		column = "title"
     * 		not-null = "true"
     */
    public final String getTitle() {
        return title;
    }
    /**
     * @param title The title to set.
     */
    public final void setTitle(String title) {
        this.title = title;
    }
}
